package pl.webnet.JaTrac;

import java.util.*;

abstract class Texture implements XmlSettable, Indexable
{
	final static public int TEXTURE_NORMALVEC = 1;
	final static public int TEXTURE_SPECTRUM = 2;
	final static public int TEXTURE_TRANSPARENCY = 4;

	static List index = new Vector();
	String name;

	public Texture()
	{
		index.add(this);
	}
		
	public Vec updateNormal(Vec n, Vec tan, Point uv)
	{
		return n;
	}
	
	public Spectrum updateSpectrum(Spectrum s, Point uv)
	{
		return s;
	}
	
	public double updateTransparency(Point uv)
	{
		return 1.0;
	}

	public void setName(String name) { this.name = name; }
	public String getName() { return name; }
	public int getProperties() { return 0; }

}
